<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateLbmHubGroupReq StructType
 * @subpackage Structs
 */
class UpdateLbmHubGroupReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The member1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $member1;
    /**
     * The member2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $member2;
    /**
     * The member3
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $member3;
    /**
     * The removeMembers
     * Meta information extracted from the WSDL
     * - choice: removeMembers | addMembers | members
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RemoveMembers
     */
    public $removeMembers;
    /**
     * The addMembers
     * Meta information extracted from the WSDL
     * - choice: removeMembers | addMembers | members
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\AddMembers
     */
    public $addMembers;
    /**
     * The members
     * Meta information extracted from the WSDL
     * - choice: removeMembers | addMembers | members
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public $members;
    /**
     * Constructor method for UpdateLbmHubGroupReq
     * @uses UpdateLbmHubGroupReq::setNewName()
     * @uses UpdateLbmHubGroupReq::setDescription()
     * @uses UpdateLbmHubGroupReq::setMember1()
     * @uses UpdateLbmHubGroupReq::setMember2()
     * @uses UpdateLbmHubGroupReq::setMember3()
     * @uses UpdateLbmHubGroupReq::setRemoveMembers()
     * @uses UpdateLbmHubGroupReq::setAddMembers()
     * @uses UpdateLbmHubGroupReq::setMembers()
     * @param string $newName
     * @param string $description
     * @param string $member1
     * @param string $member2
     * @param string $member3
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RemoveMembers $removeMembers
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AddMembers $addMembers
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     */
    public function __construct($newName = null, $description = null, $member1 = null, $member2 = null, $member3 = null, \\Losc\CucmBundle\Model\Webservice\StructType\RemoveMembers $removeMembers = null, \\Losc\CucmBundle\Model\Webservice\StructType\AddMembers $addMembers = null, \\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setMember1($member1)
            ->setMember2($member2)
            ->setMember3($member3)
            ->setRemoveMembers($removeMembers)
            ->setAddMembers($addMembers)
            ->setMembers($members);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLbmHubGroupReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLbmHubGroupReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get member1 value
     * @return string|null
     */
    public function getMember1()
    {
        return $this->member1;
    }
    /**
     * Set member1 value
     * @param string $member1
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLbmHubGroupReq
     */
    public function setMember1($member1 = null)
    {
        $this->member1 = $member1;
        return $this;
    }
    /**
     * Get member2 value
     * @return string|null
     */
    public function getMember2()
    {
        return $this->member2;
    }
    /**
     * Set member2 value
     * @param string $member2
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLbmHubGroupReq
     */
    public function setMember2($member2 = null)
    {
        $this->member2 = $member2;
        return $this;
    }
    /**
     * Get member3 value
     * @return string|null
     */
    public function getMember3()
    {
        return $this->member3;
    }
    /**
     * Set member3 value
     * @param string $member3
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLbmHubGroupReq
     */
    public function setMember3($member3 = null)
    {
        $this->member3 = $member3;
        return $this;
    }
    /**
     * Get removeMembers value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RemoveMembers|null
     */
    public function getRemoveMembers()
    {
        return isset($this->removeMembers) ? $this->removeMembers : null;
    }
    /**
     * Set removeMembers value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RemoveMembers $removeMembers
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLbmHubGroupReq
     */
    public function setRemoveMembers(\\Losc\CucmBundle\Model\Webservice\StructType\RemoveMembers $removeMembers = null)
    {
        if (is_null($removeMembers) || (is_array($removeMembers) && empty($removeMembers))) {
            unset($this->removeMembers);
        } else {
            $this->removeMembers = $removeMembers;
        }
        return $this;
    }
    /**
     * Get addMembers value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddMembers|null
     */
    public function getAddMembers()
    {
        return isset($this->addMembers) ? $this->addMembers : null;
    }
    /**
     * Set addMembers value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AddMembers $addMembers
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLbmHubGroupReq
     */
    public function setAddMembers(\\Losc\CucmBundle\Model\Webservice\StructType\AddMembers $addMembers = null)
    {
        if (is_null($addMembers) || (is_array($addMembers) && empty($addMembers))) {
            unset($this->addMembers);
        } else {
            $this->addMembers = $addMembers;
        }
        return $this;
    }
    /**
     * Get members value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Members|null
     */
    public function getMembers()
    {
        return isset($this->members) ? $this->members : null;
    }
    /**
     * Set members value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateLbmHubGroupReq
     */
    public function setMembers(\\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        if (is_null($members) || (is_array($members) && empty($members))) {
            unset($this->members);
        } else {
            $this->members = $members;
        }
        return $this;
    }
}
